Bug 179509 - PHP 5.2.4 64 bit + openSSL breaks PHP streams
PHP 5.2.4 64 bit + openSSL breaks PHP streams
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-31 17:19 EST by István Tóth
Modified: 2009-01-08 23:33 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:33:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix 64 bit openssl streams in PHP 5.1.2 (1.28 KB, patch)
2006-01-31 17:24 EST, István Tóth
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
PHP Bug Tracker 32979 None None None Never

  None (edit)
Description István Tóth 2006-01-31 17:19:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
Network streams support w/openssl in PHP 5.1.2 is severely broken on x86_64.
See php bug 32979


Version-Release number of selected component (if applicable):
php-5.1.2-3

How reproducible:
Always

Steps to Reproduce:
1. Use reproduction script in 32979
2.
3.
  

Actual Results:  Select does not return afected stream

Expected Results:  Select should return affected stream

Additional info:
Comment 1 István Tóth 2006-01-31 17:24:36 EST
Created attachment 123939 [details]
Patch to fix 64 bit openssl streams in PHP 5.1.2

This patch is also submitted upstream, but since FC5 is quite late in its
development cycle, I think it the fix should be added to FC5 in case 5.1.3 is
late, or does not contain this patch
Comment 2 István Tóth 2006-08-25 15:37:33 EDT
The bug is still present in the 5.1.4 shipped with fc5, and probably in
upstream, too.
Comment 3 petrosyan 2008-03-10 20:06:41 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 4 István Tóth 2008-03-11 00:28:03 EDT
Yes, I guess upstream hasn't touched that code in years.
It's really an upstream problem, but I don't think they are really maintaining
that code anymore.
Comment 5 petrosyan 2008-03-11 00:38:04 EDT
Can you post a link to upstream bug report?
So this bug is present in php-5.2.5?
Comment 6 István Tóth 2008-03-11 00:53:56 EDT
Yes, I've just re-run the test case on my x86_64 f8 box.

The easiest way for you to re-check is to run the same code on an x86 and i386
box, that way you don't even need to recompile.

The link:

http://bugs.php.net/bug.php?id=32979

The very first entry contains a valid test case (have to have httpd running on
localhost fot it to work)

As you can see, an other user also confirmed the bug since then, but the php
people don't seem to care.
Comment 7 Joe Orton 2008-03-11 05:46:46 EDT
Thanks for the patch and tracking this done.  I'm following this up with
upstream, I'm not sure whether this is the correct place to fix the issue.

http://marc.info/?l=php-internals&m=120522857529781&w=2
Comment 8 Joe Orton 2008-03-11 05:47:38 EDT
s/done/down/!
Comment 9 István Tóth 2008-05-23 01:59:30 EDT
The fix is in upstream 5.2.6.
Thank you!
Comment 10 Bug Zapper 2008-11-26 01:54:36 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-08 23:33:48 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.